%define drupaldir %{_datadir}/drupal7

Name:	drupal7-webform_paypal
Version:	1.2
Release: 1%{?dist}
Summary: The Webform Paypal module sends the user to Paypal to complete a payment


Group:	Applications/Publishing	
License: GPLv2+
URL:	http://drupal.org/project/webform_paypal
Source0: http://ftp.drupal.org/files/projects/webform_paypal-7.x-%{version}.tar.gz

Source1: %{name}-fedora-README.txt
Source2: %{name}-LICENSE.txt

BuildArch: noarch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: drupal7

%description
The Webform Paypal module sends the user to Paypal to complete a payment
whenever they submit a webform containing the component on your site.  This
module does not directly integrate with Paypal's APIs.  This module allows a
site user to generate a Paypal 'Buy Now', 'Add to Cart' or 'Donate' button and
replace their form's submit button with that button.  You can manually keep
track of the payment status on individual submissions.

%prep
%setup -qn webform_paypal

install -p -m 0644 %{SOURCE1} .


%build
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/webform_paypal
cp -pr * %{buildroot}%{drupaldir}/modules/webform_paypal


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/webform_paypal



%changelog
* Sat Sep 29 2012 Paul Gampe <paul@gampe.id.au>
- Initial version
